package net.nourdine.jp.build;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.util.logging.Level;
import java.util.logging.Logger;
import net.nourdine.jp.io.FileContentManager;
import net.nourdine.jp.lib.JSMin;

public abstract class Buildable {

   protected String minify(String code) {
      ByteArrayInputStream in = new ByteArrayInputStream(code.getBytes());
      ByteArrayOutputStream out = new ByteArrayOutputStream();
      try {
         new JSMin(in, out).jsmin();
      } catch (Exception e) {
         Logger.getLogger(FileContentManager.class.getName()).log(Level.SEVERE, null, e);
      }
      return out.toString();
   }

   public abstract String build(boolean shallIMinify);
}
