package net.nourdine.jp.log;

public class JsPackerLogger {

   private boolean verbose = false;
   private boolean init = false;
   private static JsPackerLogger instance = null;

   public static JsPackerLogger getInstance() {
      if (instance == null) {
         instance = new JsPackerLogger();
      }
      return instance;
   }

   private JsPackerLogger() { }

   public void init(boolean loggingEnabled) {
      verbose = (loggingEnabled) ? true : false;
      init = true;
   }

   private void write(String message) {
      if (verbose) {
         System.out.println(message);
      }
   }

   private void checkInitialization() {
      if (init == false) {
         throw new LoggerNotInitializedException("The Logger class hasn't been initialized yet!");
      }
   }

   public void info(String messsage) {
      checkInitialization();
      write("[info] " + messsage);
   }

   public void warn(String messsage) {
      checkInitialization();
      write("[warn] " + messsage);
   }

   public void error(String messsage) {
      checkInitialization();
      write("[error] " + messsage);
   }
}
